cURL
curl -X GET \
/billing-groups/{id} \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/billing-groups/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/billing-groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/billing-groups/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"name": "Billing of payments at the end of the month",
"type": "end_of_month",
"id": "01F9ZQZJZJQZJZJZJZJZJZJZJZ",
"customDay": 31,
"customMonth": 12,
"subscriptions": [
"https://example.com/"
]
}Billing Group
Get a billing group
Get a billing group
GET
/
billing-groups
/
{id}
cURL
curl -X GET \
/billing-groups/{id} \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/billing-groups/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/billing-groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/billing-groups/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"name": "Billing of payments at the end of the month",
"type": "end_of_month",
"id": "01F9ZQZJZJQZJZJZJZJZJZJZJZ",
"customDay": 31,
"customMonth": 12,
"subscriptions": [
"https://example.com/"
]
}Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Pfadparameter
BillingGroup identifier
Antwort
BillingGroup resource
The name of the billing group.
Maximum string length:
255Beispiel:
"Billing of payments at the end of the month"
The type of the billing group.
Possible values:
start_of_month: The billing group will be charged on the first day of the month.end_of_month: The billing group will be charged on the last day of the month.start_of_year: The billing group will be charged on the first day of the year.end_of_year: The billing group will be charged on the last day of the year.custom: The billing group will be charged on a custom day of the month.
Beispiel:
"end_of_month"
Beispiel:
"01F9ZQZJZJQZJZJZJZJZJZJZJZ"
The custom day of the billing group, only used when type is "custom".
Erforderlicher Bereich:
x <= 31Beispiel:
31
The custom month of the billing group, only used when type is "custom".
Erforderlicher Bereich:
x <= 12Beispiel:
12
The subscriptions which are assigned to the billing group.
War diese Seite hilfreich?